Skip to main content
GET
https://api.aisa.one/apis/v1
/
dataforseo
/
business_data
/
google
/
my_business_updates
/
task_get
/
{id}
Get Google My Business Updates Results by id
curl --request GET \
  --url https://api.aisa.one/apis/v1/dataforseo/business_data/google/my_business_updates/task_get/{id} \
  --header 'Authorization: Bearer <token>'
{
  "version": "<string>",
  "version.status_code": 123,
  "version.status_message": "<string>",
  "version.time": "<string>",
  "version.cost": 123,
  "version.tasks_count": 123,
  "version.tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "result": [
    "<string>"
  ],
  "result.keyword": "<string>",
  "result.se_domain": "<string>",
  "result.location_code": 123,
  "result.language_code": "<string>",
  "result.check_url": "<string>",
  "result.datetime": "<string>",
  "result.business_updates_id": "<string>",
  "result.cid": "<string>",
  "result.feature_id": "<string>",
  "result.item_types": [
    "<string>"
  ],
  "result.items_count": 123,
  "items": [
    "<string>"
  ],
  "items.type": "<string>",
  "items.rank_group": 123,
  "items.rank_absolute": 123,
  "items.position": "<string>",
  "items.xpath": "<string>",
  "items.author": "<string>",
  "items.snippet": "<string>",
  "items.post_text": "<string>",
  "items.url": "<string>",
  "items.images_url": "<string>",
  "items.post_date": "<string>",
  "items.timestamp": "<string>",
  "items.links": [
    "<string>"
  ],
  "items.title": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string

task identifier unique task identifier in our system in the UUID format you will be able to use it within 30 days to request the results of the task at any time

Response

Successful response

version
string

the current version of the API

version.status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

version.status_message
string

general informational message you can find the full list of general informational messages here

version.time
string

execution time, seconds

version.cost
number

total tasks cost, USD

version.tasks_count
integer

the number of tasks in the tasks array

version.tasks_error
integer

the number of tasks in the tasks array that were returned an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

result
string[]

array of results

result.keyword
string

keyword received in a POST array keyword is returned with decoded %## (plus character ‘+’ will be decoded to a space character) this field will contain the cid parameter if you specified it in the keyword field when setting a task; example: cid:2946633002421908862 learn more about the parameter in this help center article

result.se_domain
string

search engine domain as specified in a POST array

result.location_code
integer

location code in a POST array

result.language_code
string

language code in a POST array

result.check_url
string

direct URL to search engine results you can use it to make sure that we provided accurate results

result.datetime
string

date and time when the result was received in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

result.business_updates_id
string

identifier of the business updates element in SERP

result.cid
string

google-defined client id unique id of a local establishment learn more about the cid identifier in this help center article

result.feature_id
string

the unique identifier of the element in SERP learn more about the identifier in this help center article

result.item_types
string[]

item types types of search engine results encountered in the items array; possible item types: google_business_post

result.items_count
integer

item types the number of items in the items array

items
string[]

encountered item types types of search engine results encountered in the items array; possible item types: google_business_post

items.type
string

type of a link element can take the following values: link_element

items.rank_group
integer

position within a group of elements with identical type values positions of elements with different type values are omitted from rank_group

items.rank_absolute
integer

absolute rank among all the listed updates absolute position among all present elements

items.position
string

the alignment of the element in SERP can take the following values: right

items.xpath
string

the XPath of the element

items.author
string

author of the post

items.snippet
string

additional content of a post

items.post_text
string

main content of a post

items.url
string

url of a page the link is pointing at

items.images_url
string

url of an image included in the post

items.post_date
string

date when a post was published in the following format: "mm/dd/yyyy hh:mm:ss"

items.timestamp
string

time when a post was published in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

links included in the post

items.title
string

anchor text